Civil 3D Pressure Pipe Network Nodes Problem!

Any Help please ? I have tried to change geometry scale from medium to large and also extra large same null result ? where is my fault ?

hi
@ingenieroahmad
If possible, draw an example

Hi @ingenieroahmad . I faced this issue too and I solved it by accessing the whole list of pipes that you have (there is a specific node for that) and then I got from that list the pipe I am interested in. Youยดll need to replace the code block.

Can you put some nodes with result out, please?

I Feel that there is a problem due to pressure pipe element !!! Because the same nodes work fine with pipe network not pressured one.

@Paolo_Emilio_Serra1 Your help will be appreciated .

@ingenieroahmad the Camber package has nodes for Pressure Pipe Networks that might work.

1 Like

I download it and it works fine, But there is no nodes for pipes curves or solids like Civil Toolkit !!

Hi, I hope this can help Accessing pressure network - #17 by Drbohlav
What version of Civil 3D do you have?

I work with civil 2021 , dynamo 2.5 ,civil toolkit 1.1.30

Can you confirm that you have the latest update for Civil 3D?

Try to update your Civil 3D to 2021.3 Autodesk - Account
I recommend also AutoCAD and Map 3D updates

I will try and give you feed back. Thank you :slight_smile:

Hi
If the update does not work for you,
Use Python

2 Likes

Can you write up the code part of python ?

yes

import sys
import clr

# Add Assemblies for AutoCAD and Civil 3D APIs
clr.AddReference('acmgd')
clr.AddReference('acdbmgd')
clr.AddReference('accoremgd')
clr.AddReference('AecBaseMgd')
clr.AddReference('AecPropDataMgd')
clr.AddReference('AeccDbMgd')
clr.AddReference('AeccPressurePipesMgd')
clr.AddReference('acdbmgdbrep')
clr.AddReference('System.Windows.Forms')
clr.AddReference('Civil3DNodes')

# Create an alias to the Autodesk.AutoCAD.ApplicationServices.Application class
import Autodesk.AutoCAD.ApplicationServices.Application as acapp

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *

# Import references for Civil 3D
from Autodesk.Civil.ApplicationServices import *
from Autodesk.Civil.DatabaseServices import *

adoc = acapp.DocumentManager.MdiActiveDocument
ed = adoc.Editor
civdoc = CivilApplication.ActiveDocument


PROFILE_VIEW = IN[0]





def move_labels(PROFILE_VIEW):
	if not hasattr(PROFILE_VIEW, "__iter__"):
		PROFILE_VIEW = [PROFILE_VIEW]
	error_report = None
	res = []
	resp = []
	resf = []
	resa = []
	try:
		with adoc.LockDocument():		
		    with adoc.Database as db:		
		        with db.TransactionManager.StartTransaction() as t:		    
		            sampleLineId = PROFILE_VIEW[0].InternalObjectId
		            objVIEW = t.GetObject(sampleLineId, OpenMode.ForWrite)
		            
		            for i in  objVIEW.GetPipeIds():
						objpp = t.GetObject(i, OpenMode.ForWrite)
						resp.append(objpp.Name)
		            
		            for i in  objVIEW.GetFittingIds():
						objpf = t.GetObject(i, OpenMode.ForWrite)
						resf.append(objpf.Name)
																
																
		            
		            for i in  objVIEW.GetAppurtenanceIds():
						objpa = t.GetObject(i, OpenMode.ForWrite)
						resa.append(objpa.Name)

		            t.Commit()
	except:
		import traceback
		error_report = traceback.format_exc()
	if error_report is None:
		return [resp,resf,resa]   
	else:
		return error_report

OUT = move_labels(PROFILE_VIEW)





image

ุงู„ุณู„ุงู… ุนู„ูŠูƒู…
ุงุนู…ู„ ู…ุชู„ ุงู„ุตูˆุฑุฉ ุงู„ูŠ ููˆู‚ ู…ู‡ู†ุฏุณ ุงุญู…ุฏ

Continue via PressurePipeNetwork Members
Help

The PressurePipe.Curve node has its own programming

The python node output is string and itโ€™s not valid data type to continue with my graph. we need the output to be PressurePipe as a datatype to go on.